aboutsummaryrefslogtreecommitdiff
path: root/init.d/binfmt.in
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2015-03-31 12:48:45 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2015-04-20 17:10:07 -0500
commitee1768a419122d288256cce1723d4997bd965eab (patch)
treedbec27994ea604e23debcbe5e2a01f1074383a39 /init.d/binfmt.in
parent95ed0665393c353dbc24afb8c63c615402136f5d (diff)
Add binfmt service to sysinit runlevel
This makes binfmt processing behave like tmpfiles processing which follows the same specification as systemd. This fixes #48. X-Gentoo-Bug: 545162 X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=545162
Diffstat (limited to 'init.d/binfmt.in')
-rw-r--r--init.d/binfmt.in20
1 files changed, 20 insertions, 0 deletions
diff --git a/init.d/binfmt.in b/init.d/binfmt.in
new file mode 100644
index 00000000..651b1315
--- /dev/null
+++ b/init.d/binfmt.in
@@ -0,0 +1,20 @@
+#!@SBINDIR@/openrc-run
+# Copyright 2015 William Hubbs <w.d.hubbs@gmail.com>
+# Released under the 2-clause BSD license.
+
+description="Register misc binary format handlers"
+
+depend()
+{
+ after procfs
+ use modules devfs
+ keyword -openvz -prefix -vserver -lxc
+}
+
+start()
+{
+ ebegin "Loading custom binary format handlers"
+ "$RC_LIBEXECDIR"/sh/binfmt.sh
+ eend $?
+return 0
+}